"use strict";
exports.__esModule = true;
var GUI_NUMBER_COEFFICIENTS = [1, 2, 1, 2, 1, 2, 4, 1];
function isGuiNumberValid(input) {
    try {
        var n_1 = input.toString();
        var regex = /^\d{8}$/;
        if (!regex.test(n_1)) {
            throw new Error('GUI number should be a 8-digit string.');
        }
        var checksum = GUI_NUMBER_COEFFICIENTS.reduce(function (sum, c, index) {
            var product = c * parseInt(n_1.charAt(index), 10);
            return sum + product % 10 + Math.floor(product / 10);
        }, 0);
        if (checksum % 10 === 0 ||
            (parseInt(n_1.charAt(6), 10) === 7 && (checksum + 1) % 10 === 0)) {
            return true;
        }
        return false;
    }
    catch (e) {
        console.error(e);
        return false;
    }
}
exports.isGuiNumberValid = isGuiNumberValid;
//# sourceMappingURL=index.js.map